Bug 210709 - Some tests marked as running
Some tests marked as running
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Test Runner
7.2
All All
: P3 (vote)
: 8.0
Assigned To: Theofanis Oikonomou
issues@utilities
: RANDOM, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 15:07 UTC by Tomas Mysik
Modified: 2013-12-06 10:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screen shot (38.68 KB, image/png)
2012-04-04 15:07 UTC, Tomas Mysik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Mysik 2012-04-04 15:07:05 UTC
Created attachment 117819 [details]
screen shot

Have a look at the screen shot - sometimes some tests are marked as still running even if the test run already finished. It is random (so perhaps some synchronization issue?).

Thanks.

Product Version: NetBeans IDE Dev (Build 20120404-21e95a577a8d)
Java: 1.6.0_31; Java HotSpot(TM) 64-Bit Server VM 20.6-b01
System: Linux version 3.3.1-030301-generic running on amd64; UTF-8; cs_CZ (nb)
Comment 1 Jesse Glick 2012-04-10 18:13:38 UTC
I have seen this too. Recent regression I think. After expanding the node, the icon is fixed but "running..." is still displayed.
Comment 2 Theofanis Oikonomou 2013-12-06 10:34:26 UTC
After fixing bug 223996 this should not be an issue any more http://hg.netbeans.org/core-main/rev/b9d585b24a9b. Especially the notifyTestSuiteFinished() method should take care of correctly updating the icon, display name and children of any test suite node. Please try a latest build and file a new bug if this happens again. Thank you


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo